package com.ssj.service.conch.teacher.request.oneonly;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class TempSaveReq extends BaseRequest{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name="week",value="星期",required=true)
	private List<WeekVo> week;
	
	@ApiModelProperty(name="timeInterval",value="时间段",required=true)
	private List<TimeVo> timeInterval;
	
	@ApiModelProperty(name="grade",value="年级list",required=true)
	private List<String> grade;
	
	@ApiModelProperty(name="是否公开课",value="0-否 1-是",required=true)
	private Integer isPublic;

	public List<WeekVo> getWeek() {
		return week;
	}

	public void setWeek(List<WeekVo> week) {
		this.week = week;
	}

	public List<TimeVo> getTimeInterval() {
		return timeInterval;
	}

	public void setTimeInterval(List<TimeVo> timeInterval) {
		this.timeInterval = timeInterval;
	}

	public List<String> getGrade() {
		return grade;
	}

	public void setGrade(List<String> grade) {
		this.grade = grade;
	}

	public Integer getIsPublic() {
		return isPublic;
	}

	public void setIsPublic(Integer isPublic) {
		this.isPublic = isPublic;
	}
	
	
	
}
